__gnu_parallel::parallel_tag Struct Reference
Inheritance diagram for __gnu_parallel::parallel_tag:
[legend]

## Public Member Functions

| parallel_tag ()
| parallel_tag (_ThreadIndex __num_threads)
_ThreadIndex | __get_num_threads ()
void | set_num_threads (_ThreadIndex __num_threads)

## Detailed Description

Recommends parallel execution at compile time, optionally using a user-specified number of threads.

Definition at line 46 of file tags.h.

## Constructor & Destructor Documentation

__gnu_parallel::parallel_tag::parallel_tag | ( |  | ) |

inline

Default constructor. Use default number of threads.

Definition at line 53 of file tags.h.

__gnu_parallel::parallel_tag::parallel_tag | ( | _ThreadIndex | __num_threads | ) |

inline

Default constructor. Recommend number of threads to use.

Parameters

  __num_threads | Desired number of threads.

Definition at line 58 of file tags.h.

## Member Function Documentation

_ThreadIndex __gnu_parallel::parallel_tag::__get_num_threads | ( |  | ) |

inline

Find out desired number of threads.

Returns
  Desired number of threads.

Definition at line 63 of file tags.h.

Referenced by __gnu_parallel::__parallel_sort().

void __gnu_parallel::parallel_tag::set_num_threads | ( | _ThreadIndex | __num_threads | ) |

inline

Set the desired number of threads.

Parameters

  __num_threads | Desired number of threads.

Definition at line 73 of file tags.h.

The documentation for this struct was generated from the following file:

- tags.h